Bug 1158149 - uboot-tools-2014.10-1.fc21 does not add 'console=' to boot arguments, missing support for Beaglebone Black and Pandaboard.
Summary: uboot-tools-2014.10-1.fc21 does not add 'console=' to boot arguments, missing...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uboot-tools
Version: 21
Hardware: arm
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F21BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2014-10-28 17:54 UTC by Paul Whalen
Modified: 2014-11-03 23:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-03 23:47:16 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Paul Whalen 2014-10-28 17:54:29 UTC
Description of problem:
uboot-tools-2014.10-1.fc21 does not add 'console=' to boot arguments, missing support for Beaglebone Black and Pandaboard.

Fixed in uboot-tools-2014.10-4.fc21

Comment 1 Paul Whalen 2014-10-28 17:56:19 UTC
Request Freeze exception:

A system installed without a graphical package set must boot to a state where it is possible to log in through at least one of the default virtual consoles.

Comment 2 Adam Williamson 2014-10-28 18:31:26 UTC
I'm pretty reluctant to change things unless necessary at this point, but I would note there's an argument for this to be a release blocker. pwhalen didn't hit on quite the right criterion, the ARM disk images are covered under:

https://fedoraproject.org/wiki/Fedora_21_Alpha_Release_Criteria#Release-blocking_images_must_boot

which states:

"All release-blocking images must boot in their supported configurations.
Supported ARM platforms are those listed by the ARM team at https://fedoraproject.org/wiki/Architectures/ARM/Supported_Platforms .
Release-blocking ARM disk images must boot to the initial-setup utility."

the 'supported ARM platforms' for F21 have not yet been defined, so there is obvious scope for wiggling here. pwhalen states on IRC that platforms affected by this are:

panda, beagle, wand, cubietruck, banana pi

Wandboard was a supported platform for F20. Many of the others are pretty major platforms. Without this fix I don't think we would have many ARM platforms that *would* work for Beta.

Given the severity I think I can give a reluctant +1 FE; in a weird way I'd be happier voting +1 blocker, as if we *really* treat ARM as 'primary' this is the kind of thing we should be blocking on, but I have a sneaking suspicion that if this were the Go/No-Go and this was the last proposed blocker we'd be fudging it.

Comment 3 Stephen Gallagher 2014-10-28 18:34:32 UTC
I'm +1 FE, -1 Blocker. We don't have any release-blocking images specified today, and adding them right before a compose is madness. However, I believe the fix is sufficiently low-risk that it's worth allowing in.

Comment 4 Mike Ruckman 2014-10-28 18:54:52 UTC
+1 FE (+1 Blocker if we decide to propose it as such).

Comment 5 Adam Williamson 2014-10-28 19:39:31 UTC
This has at least sufficient votes to be an FE now, so marking as such. Whether it's a blocker or not may be important if the fix turns out to have problems; we can continue that debate as RC2 composes and is tested.

Comment 6 Adam Williamson 2014-10-30 19:16:25 UTC
The -4 build was used to compose RC4 (at least, it was requested), so setting ON_QA. Can folks please confirm whether this is fixed in RC4, and set VERIFIED if so? Thanks!

Comment 7 Paul Whalen 2014-10-30 19:18:54 UTC
Working and included in RC4. Many thanks.

Comment 8 Adam Williamson 2014-11-03 23:47:16 UTC
The updated uboot-tools was pushed stable. Closing.


Note You need to log in before you can comment on or make changes to this bug.